Bug 1008249 - [abrt] mate-image-viewer-1.6.1-1.fc19: g_settings_set_property: Process /usr/bin/eom was killed by signal 5 (SIGTRAP)
[abrt] mate-image-viewer-1.6.1-1.fc19: g_settings_set_property: Process /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-image-viewer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:1f3a9b1a9a37b13cd78f91b2761...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 19:35 EDT by Kerry
Modified: 2013-09-24 19:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: mate-image-viewer-1.6.1-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 18:51:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.84 KB, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: cgroup (139 bytes, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: core_backtrace (20.28 KB, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: dso_list (7.62 KB, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: environ (4.14 KB, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: maps (37.79 KB, text/plain)
2013-09-15 19:35 EDT, Kerry
no flags Details
File: open_fds (835 bytes, text/plain)
2013-09-15 19:36 EDT, Kerry
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-09-15 19:36 EDT, Kerry
no flags Details
File: var_log_messages (275 bytes, text/plain)
2013-09-15 19:36 EDT, Kerry
no flags Details

  None (edit)
Description Kerry 2013-09-15 19:35:34 EDT
Version-Release number of selected component:
mate-image-viewer-1.6.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
crash_function: g_settings_set_property
executable:     /usr/bin/eom
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 3
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 g_settings_set_property at gsettings.c:492
 #3 object_set_property at gobject.c:1358
 #4 g_object_constructor at gobject.c:1869
 #6 g_object_new_valist at gobject.c:1836
 #8 g_settings_new at gsettings.c:869
 #9 eom_window_init at eom-window.c:4577
 #10 g_type_create_instance at gtype.c:1917
 #11 g_object_constructor at gobject.c:1855
 #12 eom_window_constructor at eom-window.c:5168
 #14 g_object_new_valist at gobject.c:1836
Comment 1 Kerry 2013-09-15 19:35:38 EDT
Created attachment 798062 [details]
File: backtrace
Comment 2 Kerry 2013-09-15 19:35:41 EDT
Created attachment 798063 [details]
File: cgroup
Comment 3 Kerry 2013-09-15 19:35:45 EDT
Created attachment 798064 [details]
File: core_backtrace
Comment 4 Kerry 2013-09-15 19:35:49 EDT
Created attachment 798065 [details]
File: dso_list
Comment 5 Kerry 2013-09-15 19:35:52 EDT
Created attachment 798066 [details]
File: environ
Comment 6 Kerry 2013-09-15 19:35:55 EDT
Created attachment 798067 [details]
File: limits
Comment 7 Kerry 2013-09-15 19:35:59 EDT
Created attachment 798068 [details]
File: maps
Comment 8 Kerry 2013-09-15 19:36:02 EDT
Created attachment 798069 [details]
File: open_fds
Comment 9 Kerry 2013-09-15 19:36:05 EDT
Created attachment 798070 [details]
File: proc_pid_status
Comment 10 Kerry 2013-09-15 19:36:09 EDT
Created attachment 798071 [details]
File: var_log_messages
Comment 11 Wolfgang Ulbrich 2013-09-16 04:18:24 EDT
You are using KDE?
msg = 0x1d3af10 "Settings schema 'org.mate.lockdown' is not installed\n"
        msg_alloc = 0x1d3af10 "Settings schema 'org.mate.lockdown' is not installed\n"

Installing 'mate-desktop-libs' should fix your issue.
Comment 12 Fedora Update System 2013-09-16 10:28:19 EDT
mate-image-viewer-1.6.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-image-viewer-1.6.1-2.fc19
Comment 13 Fedora Update System 2013-09-16 10:28:32 EDT
mate-image-viewer-1.6.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-image-viewer-1.6.1-2.fc20
Comment 14 Fedora Update System 2013-09-16 10:28:46 EDT
mate-image-viewer-1.6.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-image-viewer-1.6.1-2.fc18
Comment 15 Fedora Update System 2013-09-16 12:15:41 EDT
Package mate-image-viewer-1.6.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-image-viewer-1.6.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16872/mate-image-viewer-1.6.1-2.fc20
then log in and leave karma (feedback).
Comment 16 Kerry 2013-09-16 16:19:10 EDT
I'm using KDE.

I have mate-desktop-libs installed.
# rpm -q mate-desktop-libs
mate-desktop-libs-1.4.1-0102.fc17.x86_64
Comment 17 Kerry 2013-09-17 03:32:06 EDT
Ok, it took a while to untangle the dependencies. All of the various mate-*-1.4.1-0102.fc17.x86_64 packages were considered newer than the fc19 ones by rpm so they didn't automatically upgrade.

eom seems to work now.
Comment 18 Wolfgang Ulbrich 2013-09-17 06:40:25 EDT
(In reply to Kerry from comment #17)
> Ok, it took a while to untangle the dependencies. All of the various
> mate-*-1.4.1-0102.fc17.x86_64 packages were considered newer than the fc19
> ones by rpm so they didn't automatically upgrade.
> 
> eom seems to work now.

You did use my former external MATE repo for f17. :)
I did add a epoch to versions to save all users of this f17 repo for unstable 1.5.x updates from fedora for f17, for this reason the packages didn't update.
1. You need to uninstall the release package 'mate-desktop-release' for removing the repo files.
2. Than remove all 1.4.x mate packages with 4 digits in version by hand.
3. same for compiz packages if you had them installed from the external repo.
Comment 19 Fedora Update System 2013-09-24 18:51:36 EDT
mate-image-viewer-1.6.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-09-24 19:07:02 EDT
mate-image-viewer-1.6.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-09-24 19:07:17 EDT
mate-image-viewer-1.6.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.